| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__HeldServerDataEntry Struct Reference
Held Server

Held Server data entry that holds the actual Held Server data. More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__string | Name
| Held Server name. More...
enum unsp__HeldProtocol | HeldProtocol
| Protocol for the Held Server. More...
xsd__string | Address
| Held Server address. More...
int | Port
| The port for the Held Server. More...
xsd__string | ServicePath
| Service path for the Held Server address required: false default value[range]: NA [1..256]. More...
enum unsp__HeldServerStatus * | HeldServerStatus
| Held Server Operational Status required: false. More...
struct unsp__HeldTrunkList * | HeldTrunkList
| List of Trunks required: false. More...

## Detailed Description

Held Server data entry that holds the actual Held Server data.

Used by unsp__HeldServerList

## Member Data Documentation

## ◆ Address

xsd__string unsp__HeldServerDataEntry::Address

Held Server address.

It can be IPv4, IPv6 or FQDN
required: false
default value[range]: NA [1..256]

## ◆ HeldProtocol

enum unsp__HeldProtocol unsp__HeldServerDataEntry::HeldProtocol

Protocol for the Held Server.

## ◆ HeldServerStatus

enum unsp__HeldServerStatus* unsp__HeldServerDataEntry::HeldServerStatus

Held Server Operational Status
required: false.

## ◆ HeldTrunkList

struct unsp__HeldTrunkList* unsp__HeldServerDataEntry::HeldTrunkList

List of Trunks
required: false.

## ◆ Name

xsd__string unsp__HeldServerDataEntry::Name

Held Server name.

required: true
default value[range]: NA [1..15]

## ◆ Port

int unsp__HeldServerDataEntry::Port

The port for the Held Server.

## ◆ ServicePath

xsd__string unsp__HeldServerDataEntry::ServicePath

Service path for the Held Server address
required: false
default value[range]: NA [1..256].

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h